Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.events
Class IndexEvents.Entry

    java.lang.Object
      com.lowagie.text.pdf.events.IndexEvents.Entry

Enclosing class:
  IndexEvents

    public class IndexEvents.Entry

extends Object

Class for an index entry.

In the first step, only in1, in2,in3 and tag are used. After the collections of the index entries, pagenumbers are used.

Field Summary
`private String` | `in1` first level
`private String` | `in2` second level
`private String` | `in3` third level
`private List` | `pagenumbers` the lsit of all page numbers.
`private String` | `tag` the tag
`private List` | `tags` the lsit of all tags.

Constructor Summary
`IndexEvents.Entry(String aIn1, String aIn2, String aIn3, String aTag)` Create a new object.

Method Summary
`void` | `addPageNumberAndTag(int number, String tag)` Add a pagenumber.
`String` | `getIn1()` Returns the in1.
`String` | `getIn2()` Returns the in2.
`String` | `getIn3()` Returns the in3.
`String` | `getKey()` Returns the key for the map-entry.
`int` | `getPageNumber()` Returns the pagenumer for this entry.
`List` | `getPagenumbers()` Returns the pagenumbers.
`String` | `getTag()` Returns the tag.
`List` | `getTags()` Returns the tags.
`String` | `toString()` print the entry (only for test)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### in1

    private String in1

  first level

### in2

    private String in2

  second level

### in3

    private String in3

  third level

### tag

    private String tag

  the tag

### pagenumbers

    private List pagenumbers

  the lsit of all page numbers.

### tags

    private List tags

  the lsit of all tags.

Constructor Detail

### IndexEvents.Entry

    public IndexEvents.Entry(String aIn1,
                             String aIn2,
                             String aIn3,
                             String aTag)

  Create a new object.

  Parameters:
    `aIn1` - The first level.
    `aIn2` - The second level.
    `aIn3` - The third level.
    `aTag` - The tag.

Method Detail

### getIn1

    public String getIn1()

  Returns the in1.

  Returns:
    Returns the in1.

### getIn2

    public String getIn2()

  Returns the in2.

  Returns:
    Returns the in2.

### getIn3

    public String getIn3()

  Returns the in3.

  Returns:
    Returns the in3.

### getTag

    public String getTag()

  Returns the tag.

  Returns:
    Returns the tag.

### getPageNumber

    public int getPageNumber()

  Returns the pagenumer for this entry.

  Returns:
    Returns the pagenumer for this entry.

### addPageNumberAndTag

    public void addPageNumberAndTag(int number,
                                    String tag)

  Add a pagenumber.

  Parameters:
    `number` - The page number.
    `tag` -

### getKey

    public String getKey()

  Returns the key for the map-entry.

  Returns:
    Returns the key for the map-entry.

### getPagenumbers

    public List getPagenumbers()

  Returns the pagenumbers.

  Returns:
    Returns the pagenumbers.

### getTags

    public List getTags()

  Returns the tags.

  Returns:
    Returns the tags.

### toString

    public String toString()

  print the entry (only for test)

  Overrides:
    `toString` in class `Object`
  Returns:
    the toString implementation of the entry

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD